# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.parser.ast.AOWP_PHPScalarExprElement
/parser/ast/PHPScalarExprElement.class.php at line 17

# Class AOWP_PHPScalarExprElement

    AOWP_PHPElement
        └─AOWP_PHPScalarExprElement

public class AOWP_PHPScalarExprElement
extends AOWP_PHPElement

PHPのASTにおける「scalar」を表すクラス。 'A'や 1 等の値を表す。 文法規則: common_scalar。

Author:
  Ryoto Naruse

Field Summary
mixed | $scalar {@link AOWP_Token}等?

Fields inherited from aowp.parser.ast.AOWP_PHPElement
NO_ARRAY, _line, parent, propertyIndex, propertyName

Constructor Summary
AOWP_PHPScalarExprElement(mixed _lineOrScalarString, mixed scalar, $scalar ) 1番目の引き数は、string or int。 2番目の引き数は、{@link AOWP_PHPScalarExprElement}。 もし、第2引き数を省略した場合、 1番目の引き数は、{@link AOWP_PHPScalarExprElement} の内容を表す文字列として取り扱われます。

Method Summary
void | __toString()
void | getScalar()
void | kind()

Methods inherited from aowp.parser.ast.AOWP_PHPElement
__clone, __toString, getChildren, getParent, getParentContainer, getParentPropertyIndex, getParentPropertyName, initialize, kind, line, releaseInstance, setParent, setParentInfo

## Field Detail

/parser/ast/PHPScalarExprElement.class.php at line 23

### scalar

`public mixed $scalar`

`AOWP_Token`等?

## Constructor Detail

/parser/ast/PHPScalarExprElement.class.php at line 35

### AOWP_PHPScalarExprElement

`public AOWP_PHPScalarExprElement(mixed _lineOrScalarString, mixed scalar, $scalar )`

1番目の引き数は、string or int。 2番目の引き数は、`AOWP_PHPScalarExprElement`。 もし、第2引き数を省略した場合、 1番目の引き数は、`AOWP_PHPScalarExprElement` の内容を表す文字列として取り扱われます。

## Method Detail

/parser/ast/PHPScalarExprElement.class.php at line 49

### __toString

`public void __toString()`

/parser/ast/PHPScalarExprElement.class.php at line 45

### getScalar

`public void getScalar()`

/parser/ast/PHPScalarExprElement.class.php at line 53

### kind

`public void kind()`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr